Bug 2079654 - unable to search a video in the search bar
Summary: unable to search a video in the search bar
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: totem
Version: 36
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException RejectedBlocker
Depends On:
Blocks: F36FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2022-04-28 03:13 UTC by lnie
Modified: 2022-05-05 03:26 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
screencast (868.90 KB, video/webm)
2022-04-28 03:13 UTC, lnie
no flags Details
journal (444.50 KB, text/plain)
2022-04-28 03:18 UTC, lnie
no flags Details

Description lnie 2022-04-28 03:13:32 UTC
Created attachment 1875541 [details]
screencast

Description of problem:
As shown in the attached screencast,try to search a video(like www,which is not shown in the default video,nothing happens,you have to scroll down to choose it manually.

Version-Release number of selected component (if applicable):
totem-42.0-1.fc36.x86_64

How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 lnie 2022-04-28 03:18:46 UTC
Created attachment 1875543 [details]
journal

Comment 2 Fedora Blocker Bugs Application 2022-04-28 03:21:58 UTC
Proposed as a Freeze Exception for 36-final by Fedora user lnie using the blocker tracking app because:

 seems affects:
https://fedoraproject.org/wiki/Fedora_36_Final_Release_Criteria#Default_application_functionality

Comment 3 Brandon Nielsen 2022-05-01 19:57:05 UTC
I don't see the crash shown in the screencast, but I can confirm search for local videos does not work for me. That being said, I can't make it work for me on my F35 system either (totem-3.38.2-1.fc35.x86_64). I'm going to nominate this as a blocker under the criteria from comment 2.

Comment 4 Fedora Blocker Bugs Application 2022-05-01 20:00:36 UTC
Proposed as a Blocker for 36-final by Fedora user nielsenb using the blocker tracking app because:

 "All applications installed by default" must meet the [default application functionality criteria](https://fedoraproject.org/wiki/Fedora_36_Final_Release_Criteria#Default_application_functionality).

Comment 5 Adam Williamson 2022-05-02 15:55:57 UTC
-4 blocker / +6 FE in https://pagure.io/fedora-qa/blocker-review/issue/793 , marking rejected blocker, accepted FE.

Comment 6 Bastien Nocera 2022-05-03 15:24:33 UTC
What do "tracker3 search www" and "grl-launch-0.3 search www grl-tracker3-source" show?

My guess is that the problem is https://gitlab.gnome.org/GNOME/tracker/-/issues/362 which totem (or grilo) can't fix by themselves.
It's also what happens on my system.

Comment 7 lnie 2022-05-05 03:26:47 UTC
(In reply to Bastien Nocera from comment #6)
> What do "tracker3 search www" and "grl-launch-0.3 search www
> grl-tracker3-source" show?
> 
> My guess is that the problem is
> https://gitlab.gnome.org/GNOME/tracker/-/issues/362 which totem (or grilo)
> can't fix by themselves.
> It's also what happens on my system.

Sorry for the late reply,I was on national holiday.

With RC1.5,"tracker3 search rrr" shows as follows(you need a reboot to get the result with RC1.2):
Results:
  file:///home/lnie/Videos/Screencasts/rrr.webm
  rrr.webm

  file:///home/lnie/Videos/Screencasts/rrr.webm
  rrr.webm

  file:///home/lnie/Videos/Screencasts/rrr.webm
  rrr.webm

  file:///home/lnie/Videos/Screencasts/rrr.webm
  rrr.webm

  file:///home/lnie/Videos/Screencasts/rrr.webm
  rrr.webm

  file:///home/lnie/Videos/Screencasts/rrr.webm
  rrr.webm

  file:///home/lnie/Videos/Screencasts/rrr.webm
  rrr.webm

  file:///home/lnie/Videos/Screencasts/rrr.webm
  rrr.webm

  file:///home/lnie/Videos/Screencasts/rrr.webm
  rrr.webm

  file:///home/lnie/Videos/Screencasts/rrr.webm
  rrr.webm

  file:///home/lnie/Videos/Screencasts/rrr.webm
  rrr.webm

  file:///home/lnie/Videos/Screencasts/rrr.webm
  rrr.webm

lines 1-37

With RC1.2,"tracker3 search www" claims"Results:   " before a reboot.
"grl-launch-0.3 search www grl-tracker3-source" claims"No results" all the time(RC1.2,RC1.5,with or without a reboot)

But search doesn't work with RC1.2 or RC1.5


I also find that,with RC1.5 when I'm adding/creating a Video to any dir, Vidoes will show it immediately,but after I restart Videos it will disappear unless you add it to Videos manually


Note You need to log in before you can comment on or make changes to this bug.